<?php

/**
 * @file
 * Object representation of any project hosted on Drupal.org
 */

interface Project {

  /**
   * Define a list of fields that should be saved before serializing.
   */
  public function __sleep();

  /**
   * Get the template function to use for rendering these results.
   * 
   * @return
   *   Return the name of the function to use for theming
   */
  public function get_template($minimal);
  
  /**
   * Get a single field from the project object.
   * 
   * @return
   *   The value of all relevent fields.
   */
  public function get_fields();
  
  /**
   * Get a list of all of the available releases.
   * 
   * @return
   *   An array of all of the releases, sorted by order of priority.
   */
  public function get_releases();

  /**
   * Custom fetch all of the files from a given release.
   *
   * @return
   *   An array containing all of the base directories.
   */
  public function fetch_release($version);
}
