<?php

/**
 * @file
 * Object representation of any project hosted on Drupal.org
 */

class MockProject implements Project {
  private $_id = null;

  /**
   * Build a project out of a project array.
   */
  function __construct($id) {
    $_id = $id;
  }

  /**
  * Get a list of all field and field metadata provided by this project.
  */
  public function get_fields() {
    return array(
      'id' => 'mock_project',
      'title' => 'mock Project',
      'links' => 'http://example.com',
    );
  }

  /**
   * Get the template function to use for rendering these results.
   */
  public function get_template($minimal) {
    return NULL;	  
  }
 
  /**
   * Get the release information for a specific release version 
   * 
   * @param $version
   *   The version to get release information for.
   * @return
   *   An array containing all available release information.
   */
  public function get_releases() {
    return array();
  }

  /**
   * Fetch all of the files from a given release.
   *
   * @return
   *   An array containing all of the base directories.
   */
  public function fetch_release($version) {
    return array();
  }
}
